#!/bin/bash

projectDir=${1:-$PWD}
snapshot=${2?Must provide snapshot name to restore}

cd "$projectDir" || echo "Unable to change to project directory: $projectDir"

function prop {
  grep "${1}" .env/ssdt-document-store-shared.properties|cut -d'=' -f2
}

entityId=$(prop 'entityId' | tr -d '"')
repository="${entityId}_fs_backup"
certificate=${projectDir}/http_ca.crt
baseUrl="https://$(prop 'DOCUMENTSTORE_ELASTIC_HOST' | tr -d '"'):$(prop 'DOCUMENTSTORE_ELASTIC_PORT' | tr -d '"')"
elasticPassword=$(prop 'ELASTIC_PASSWORD' | tr -d '"')

curl --cacert "${certificate}" -s -u elastic:"${elasticPassword}" -X POST "${baseUrl}/_snapshot/${repository}/${snapshot}/_restore?pretty"